
#include <linux/module.h>

static int dummy_value;

void dummy_set_value(int v)
{
	dummy_value = v;
}

int dummy_get_value(void)
{
	return dummy_value;
}

static int __init dummy_init(void)
{
	pr_err("initializing..\n");
	dummy_set_value(0xdeadbeef);
	pr_err("  module_addr = %px\n", THIS_MODULE->mem[MOD_TEXT].base);
	return 0;
}

static void __exit dummy_exit(void)
{
	pr_err("leaving\n");
}

module_init(dummy_init);
module_exit(dummy_exit);

MODULE_AUTHOR("Arend van Spriel <arend.vanspriel@broadcom.com>");
MODULE_LICENSE("GPLv2");
